Subject: bug#66396: closed (Re: [bug#66396] [PATCH] guix: Add case to Github url updater.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 17 Apr 2024 09:14:02 +0000

Your bug report

#66396: [PATCH] guix: Add case to Github url updater.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
66396: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=66396
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#66396] [PATCH] guix: Add case to Github url updater.
From: Ludovic Courtès <[email-masked]>
To: paul <[email-masked]>
Cc: [email-masked]
Date: Wed, 17 Apr 2024 11:12:47 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

paul <[email-masked]> skribis:

> I made a detailed analysis on the current status of the updater. I'm
> attaching the source code I used.
>
> There are ~239 packages (probably with some false positive due to
> deprecated packages I believe) that have a github.com origin-uri that
> currently are marked as having no updater:
>
> guix time-machine -C channels-lock.scm -- repl -- t.scm | grep github.com | awk '{ print $1 }' | wc -l
>
> 239
>
> This patch allows the following packages (and probably more in
> downstream channels) to be refreshed:

Got it.  Finally applied with a commit log that explains this.

Thanks!

Ludo’.

Subject: [PATCH] guix: Add case to Github url updater.
From: Giacomo Leidi <[email-masked]>
To: [email-masked]
Cc: Giacomo Leidi <[email-masked]>
Date: Sat, 7 Oct 2023 21:45:11 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

* guix/import/github.scm (updated-github-url)[updated-url]: Add
additional heuristics to Github url updater.
---
 guix/import/github.scm | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/guix/import/github.scm b/guix/import/github.scm
index 7409c9a202..c5556d78ee 100644
--- a/guix/import/github.scm
+++ b/guix/import/github.scm
@@ -6,6 +6,7 @@
 ;;; Copyright © 2019 Efraim Flashner <[email-masked]>
 ;;; Copyright © 2022 Maxime Devos <[email-masked]>
 ;;; Copyright © 2022 Hartmut Goebel <[email-masked]>
+;;; Copyright © 2023 Giacomo Leidi <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -24,6 +25,7 @@
 
 (define-module (guix import github)
   #:use-module (ice-9 match)
+  #:use-module (ice-9 regex)
   #:use-module (srfi srfi-1)
   #:use-module (srfi srfi-26)
   #:use-module (srfi srfi-34)
@@ -96,6 +98,11 @@ (define (updated-github-url old-package new-version)
                             url)
             (string-append prefix "/releases/download/" repo "-" new-version "/"
                            repo "-" new-version ext))
+           ((string-match (string-append "/releases/download/(v)?" version "/"
+                                         name ".*" ext "$")
+                          url)
+            (string-replace-substring url version new-version))
+
            (#t #f))) ; Some URLs are not recognised.
         #f))

base-commit: 00a28bc435606dc98925fbae1ebe314881f35c90
-- 
2.41.0